#include <iostream>

using namespace std;

int main() {
	
	unsigned long long int br = 0, p, q, r, L, D, ukupno;
	
	cin >> p >> q >> r >> L >> D;
	
	if ((p*q + p*r + r*q) < (p*q*r)) {
	for (int i = L; i <= p*q*r && i <= D; i++) {
		
		ukupno = 0;
		
		if (i % p != 0) {
			ukupno++;
		}
		if (i % q != 0) {
			ukupno++;
		}
		if (i % r != 0) {
			ukupno++;
		}
		
		ukupno += (i - (i % p)) / p + (i - (i % q)) / q + (i - (i % r)) / r;
		
		if (ukupno <= i) {
			br++;
		}
		
	}
	
	if (D > p*q*r) {
		
		if (L > p*q*r) {
			
			br += D - L + 1;
			
		} 
		else {
			br += D - p*q*r;
		}
	}
	}
	
	if ((p*q + p*r + r*q) == (p*q*r)) {
		if (p - q != 0) {
			p = r; 
		}
		br = (D - D % p) / p - (L - L % p) / p;
	}
	
	cout << br;
	
	return 0;
}